Bug 1908534 - Panic in machine-config-operator
Summary: Panic in machine-config-operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.z
Assignee: Kirsten Garrison
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1886636
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-16 23:56 UTC by OpenShift BugZilla Robot
Modified: 2021-04-20 19:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-20 19:27:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2308 0 None open [release-4.6] Bug 1908534: update ctrcfg crd to make spec & containerruntimeconfig required 2021-02-05 19:27:54 UTC
Red Hat Product Errata RHBA-2021:1153 0 None None None 2021-04-20 19:27:48 UTC

Comment 2 Michael Nguyen 2021-03-25 13:48:06 UTC
Verified on 4.6.0-0.nightly-2021-03-25-051145.  Invalid configs are not accepted.

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-03-25-051145   True        False         53m     Cluster version is 4.6.0-0.nightly-2021-03-25-051145

$ cat bad-ctrcfg.yaml 
apiVersion: machineconfiguration.openshift.io/v1
kind: ContainerRuntimeConfig
metadata:
 name: set-pids-limit
spec:
 machineConfigPoolSelector:
   matchLabels:
     pools.operator.machineconfiguration.openshift.io/worker: ""

$ oc create -f bad-ctrcfg.yaml 
The ContainerRuntimeConfig "set-pids-limit" is invalid: spec.containerRuntimeConfig: Required value
$ oc get kubeletconfig
No resources found.
$ oc -n openshift-machine-config-operator get kubeletconfig
No resources found.
$ cat << EOF > invalid-kubeletconfig.yaml
> apiVersion: machineconfiguration.openshift.io/v1
> kind: KubeletConfig
> metadata:
>   name: set-max-pods
> EOF
$ oc create -f invalid-kubeletconfig.yaml 
The KubeletConfig "set-max-pods" is invalid: spec: Required value

Comment 8 errata-xmlrpc 2021-04-20 19:27:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.25 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1153


Note You need to log in before you can comment on or make changes to this bug.